PLL_Settings_WPML

A class to inform about the WPML compatibility module in Polylang settings.

Defined (1)

The class is defined in the following location(s).

/modules/wpml/settings-wpml.php  
  1. class PLL_Settings_WPML extends PLL_Settings_Module { 
  2.  
  3. /** 
  4. * constructor 
  5. * @since 1.8 
  6. * @param object $polylang polylang object 
  7. */ 
  8. public function __construct( &$polylang ) { 
  9. parent::__construct( $polylang, array( 
  10. 'module' => 'wpml',  
  11. 'title' => __( 'WPML Compatibility', 'polylang' ),  
  12. 'description' => __( 'WPML compatibility mode of Polylang', 'polylang' ),  
  13. ) ); 
  14.  
  15. /** 
  16. * tells if the module is active 
  17. * @since 1.8 
  18. * @return bool 
  19. */ 
  20. public function is_active() { 
  21. return ! defined( 'PLL_WPML_COMPAT' ) || PLL_WPML_COMPAT;